<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Target Configuration</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Target Configuration<br/>
<small>
[<a class="el" href="group__group__vx__framework__config.html">TIOVX Configuration Parameters</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__cfg.html#ga672f053a5c680cf8ae0938477686dc5e">TIVX_TARGET_MAX_TARGETS_IN_CPU</a>&nbsp;&nbsp;&nbsp;(16u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number of Target that can exist on a CPU.  <a href="#ga672f053a5c680cf8ae0938477686dc5e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__cfg.html#gacef8bfb75a477a21c677c37e8de8add3">TIVX_TARGET_MAX_JOB_QUEUE_DEPTH</a>&nbsp;&nbsp;&nbsp;(32u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max depth of queue associated with target.  <a href="#gacef8bfb75a477a21c677c37e8de8add3"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ga672f053a5c680cf8ae0938477686dc5e"></a><!-- doxytag: member="tivx_target.h::TIVX_TARGET_MAX_TARGETS_IN_CPU" ref="ga672f053a5c680cf8ae0938477686dc5e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_TARGET_MAX_TARGETS_IN_CPU&nbsp;&nbsp;&nbsp;(16u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number of Target that can exist on a CPU. </p>

</div>
</div>
<a class="anchor" id="gacef8bfb75a477a21c677c37e8de8add3"></a><!-- doxytag: member="tivx_target.h::TIVX_TARGET_MAX_JOB_QUEUE_DEPTH" ref="gacef8bfb75a477a21c677c37e8de8add3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_TARGET_MAX_JOB_QUEUE_DEPTH&nbsp;&nbsp;&nbsp;(32u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max depth of queue associated with target. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
